<id>
2.6.11 Bug Patch 1
</id>

<version>
0.1
</version>

<mod info>
This mod patches known bugs in 2.6.11 - Gender selection, Templates, Calendar settings


Instructions:

Apply the mod and upload (in ASCII mode):

cgi-bin/yabb2/Admin/EventCalSet.pm
cgi-bin/yabb2/Admin/ManageBoards.pm
cgi-bin/yabb2/Languages/English/Admin.lng
cgi-bin/yabb2/Languages/English/Templates.lng
cgi-bin/yabb2/Sources/BoardIndex.pm
cgi-bin/yabb2/Sources/MessageIndex.pm
cgi-bin/yabb2/Sources/PostBox.pm
cgi-bin/yabb2/Sources/Register.pm

Boards/brdpics.db will need to be edited or emptied and board pictures reassigned. The 'css style' name (the second field) in brdpics.db must be replaced by the template name: ie. default becomes 'Forum Default'.
</mod info>

<author>
Dandello
</author>

<homepage>
http://www.yabbforum.com
</homepage>

<edit file>
Admin/EventCalSet.pm
</edit file>

<search for>
          qw{Show_MiniCalIcons CalEventPrivate DisplayCalEvents ShowSunday Show_ColorLinks No_ShortUbbc Show_BdColorLinks Show_BdStarsign};
</search for>

<replace>
          qw{Show_MiniCalIcons CalEventPrivate DisplayCalEvents ShowSunday Show_ColorLinks No_ShortUbbc Show_BdColorLinks Show_BdStarsign Show_caltoday};
</replace>

<edit file>
Admin/ManageBoards.pm
</edit file>

<search for>
            # recursive loop to display all sub boards
</search for>

<add before>
            for my $curtemplate ( sort keys %templateset ){
                @templatelst = split /\|/xsm, $templateset{$curtemplate};
                push @tmplt, $curtemplate;
            }
            my $tmpwidth2 = 90 - $indent;
            my $tmpwidth3 = 5;
</add before>

<search for>
                        if ( $brdnm eq $curboard && $style eq $usestyle ) {
                            if ( $brdpic =~ /\//ixsm ) {
                                $bicon = qq~ <img src="$brdpic" id="brd_img_resize" alt="" /> ~;
                            }
                            else {
                                $bicon = qq~<img src="$yyhtml_root/Templates/Forum/$style/Boards/$brdpic" id="brd_img_resize" alt="$boardname" />~;
</search for>

<replace>
                        if ( $brdnm eq $curboard ) {
                            for my $x ( 0 .. $#tmplt ) {
                                if ( $style eq $tmplt[$x] ) {
                                    if ( $brdpic =~ /\//ixsm ) {
                                        $bicon .= qq~$style: <img src="$brdpic" id="brd_img_resize" alt="" style="margin-bottom:.5em" /><br />~;
                                    }
                                    else {
                                        @mytempst = split /\|/xsm, $templateset{$style};
                                        $myimgfolder = $mytempst[1];
                                        $bicon .= qq~$style: <img src="$yyhtml_root/Templates/Forum/$myimgfolder/Boards/$brdpic" id="brd_img_resize" alt="" style="margin-bottom:.5em" /><br />~;
                                    }
                                    $tmpwidth2 = 80 - $indent;
                                    $tmpwidth3 = 15;
                                }
</replace>

<search for>
                        $bicon =
qq~ <img src="$imagesdir/ann.png" alt="$admin_txt{'64g'}" title="$admin_txt{'64g'}" />~;
</search for>

<add after>
                        $tmpwidth2 = 90 - $indent;
                        $tmpwidth3 = 5;
</add after>

<search for>
                        $bicon =
qq~ <img src="$imagesdir/recycle.png" alt="$admin_txt{'64i'}" title="$admin_txt{'64i'}" />~;
</search for>

<add after>
                        $tmpwidth2 = 90 - $indent;
                        $tmpwidth3 = 5;
</add after>

<search for>
                    my $tmpwidth  = 100 - $indent;
                    my $tmpwidth2 = 90 - $indent;
</search for>

<replace>
                    my $tmpwidth  = 100 - $indent;
</replace>

<search for>
                        <col style="width:~ . $tmpwidth2 . qq~%" />
                        <col span="2" style="width: 5%" />
</search for>

<replace>
                        <col style="width: ~ . $tmpwidth2 . q~%" />
                        <col style="width: ~ . $tmpwidth3 . qq~%" />
                        <col style="width: 5%" />
</replace>

<search for>
        if ( $INFO{'action'} eq 'boardscreen' ) { $boardtext = $boardname; }
        $boardpic    = ${ $uid . $editboards[$i] }{'pic'};
</search for>

<replace>
        if ( $INFO{'action'} eq 'boardscreen' ) { $boardtext = $boardname; }
</replace>

<search for>
        for my $curtemplate ( sort { $templateset{$a} cmp $templateset{$b} } keys %templateset ) {
            @templatelst = split /\|/xsm, $templateset{$curtemplate};
            $drawndirs .= qq~<option value="$templatelst[1]">$curtemplate</option>\n~;
            push @tmplt, $templatelst[1];
</search for>

<replace>
        for my $curtemplate ( sort keys %templateset ){
            @templatelst = split /\|/xsm, $templateset{$curtemplate};
            $drawndirs .= qq~<option value="$curtemplate">$curtemplate</option>\n~;
            push @tmplt, $curtemplate;
</replace>

<search for>
        if ( $boardpic ) {
            fopen( BRDPIC, "<$boardsdir/brdpics.db" );
            my @brdpics = <BRDPIC>;
            fclose( BRDPIC);
            chomp @brdpics;
            for (@brdpics) {
                my ( $brdnm, $style, $brdpic ) = split /[|]/xsm, $_;

                if ( $brdnm eq $editboards[$i] ) {
                    for ( @tmplt ) {
                        if ($style eq $_) {
                            $mystyle = $style;
                            if ( $brdpic =~ /\//ixsm ) {
                                $brdpic_addr = qq~$brdpic~;
                            }
                            else {
                                $brdpic_addr = qq~$yyhtml_root/Templates/Forum/$style/Boards/$brdpic~;
                            }
                        }
                    }
                    $boardpic_value .= qq~               <div class="small bold"><input type="checkbox" name="del_pic$i" id="del_pic$i" value="$brdnm|$style|$brdpic" /><label for="del_pic$i">$admin_txt{'64b4'}</label><br />$admin_txt{'current_img'}: <a href="$brdpic_addr" target="_blank">$mystyle - $brdpic</a> <img src="$brdpic_addr" id="brd_img_resize" alt="board_pic" /> </div>~;
</search for>

<replace>
        fopen( BRDPIC, "<$boardsdir/brdpics.db" );
        my @brdpics = <BRDPIC>;
        fclose( BRDPIC);
        chomp @brdpics;
        for (@brdpics) {
            my ( $brdnm, $style, $brdpic ) = split /[|]/xsm, $_;
            if ( $brdnm eq $editboards[$i] ) {
                for my $x ( 0 .. $#tmplt ) {
                    if ( $style eq $tmplt[$x] ) {
                        $mystyle = $style;
                        if ( $brdpic =~ /\/\//ixsm ) {
                            $brdpic_addr = qq~$brdpic~;
                        }
                        else {
                            @mytempst = split /\|/xsm, $templateset{$style};
                            $myimgfolder = $mytempst[1];
                            $brdpic_addr = qq~$yyhtml_root/Templates/Forum/$myimgfolder/Boards/$brdpic~;
                        }
                        $lbl = 'del_pic' . $i . '_' . $x;
                        $boardpic_value .= qq~               <div class="small bold"><input type="checkbox" name="$lbl" id="$lbl" value="$brdnm|$style|$brdpic" /><label for="$lbl">$admin_txt{'64b4'}</label><br />$admin_txt{'current_img'}: <a href="$brdpic_addr" target="_blank">$mystyle - $brdpic</a> <img src="$brdpic_addr" id="brd_img_resize" alt="board_pic" /> </div>~;
                    }
</replace>

<search for>
            $FORM{"pic$i"} = UploadFile("pic$i", qq~Templates/Forum/$FORM{"templt$i"}/Boards~, 'png jpg jpeg gif', '250', '0');
</search for>

<replace>
            @mytempst = split /\|/xsm, $templateset{$FORM{"templt$i"}};
            $myimgfolder = $mytempst[1];
            $FORM{"pic$i"} = UploadFile("pic$i", qq~Templates/Forum/$myimgfolder/Boards~, 'png jpg jpeg gif', '250', '0');
</replace>

<search for>
                unlink qq~$htmldir/Templates/Forum/$FORM{"templt$i"}/Boards/$FORM{"cur_pic$i"}~;
</search for>

<replace>
                unlink qq~$htmldir/Templates/Forum/$myimgfolder/Boards/$FORM{"cur_pic$i"}~;
</replace>

<search for>
        if ( $FORM{"del_pic$i"} ) {
            my @pklst = split /[|]/xsm, $FORM{"del_pic$i"};
            if ( $pklst[2] !~ /[ht|f]tp[s]{0,1}:\/\//xsm ) {
                unlink qq~$htmldir/Templates/Forum/$pklst[1]/Boards/$pklst[2]~;;
</search for>

<replace>
        $templx = scalar keys %templateset;
        for my $x ( 0 .. $templx ) {
            $lbl = 'del_pic' . $i . '_' . $x;
            if ( $FORM{"$lbl"} ) {
                my @pklst = split /[|]/xsm, $FORM{"$lbl"};
                if ( $pklst[2] !~ /[ht|f]tp[s]{0,1}:\/\//xsm ) {
                    unlink qq~$htmldir/Templates/Forum/$pklst[1]/Boards/$pklst[2]~;
                }
</replace>

<search for>
                    if ( $_ ne $FORM{"del_pic$i"} ) {
</search for>

<replace>
                    if ( $_ ne $FORM{"$lbl"} ) {
</replace>

<edit file>
Languages/English/Admin.lng
</edit file>

<search for>
'3' => "These commands are derived from $sourcedir/SubList.pl<br />Hover over the Question Mark to see the command explanation",
</search for>

<replace>
'3' => "These commands are derived from $sourcedir/SubList.pm<br />Hover over the Question Mark to see the command explanation",
</replace>

<edit file>
Languages/English/Templates.lng
</edit file>

<search for>
1;
</search for>

<add before>
$templ_txt{'edit_files'} = 'Go to Edit Template Files';
$templ_txt{'configure'} = 'Go to Configure Templates';

</add before>

<edit file>
Sources/BoardIndex.pm
</edit file>

<search for>
                    if ( $brdnm eq $curboard && $usestyle eq $style ) {
</search for>

<replace>
                    if ( $brdnm eq $curboard && $template eq $style ) {
</replace>

<edit file>
Sources/MessageIndex.pm
</edit file>

<search for>
        if ( $brdnm eq $currentboard && $usestyle eq $style) {
</search for>

<replace>
        if ( $brdnm eq $currentboard && $template eq $style) {
</replace>

<edit file>
Sources/PostBox.pm
</edit file>

<search for>
    if ( $img_greybox == 0 ) {
</search for>

<replace>
    if ( !$img_greybox || $action eq 'guestpm' ) {
</replace>

<edit file>
Sources/Register.pm
</edit file>

<search for>
    if ($gender_on_reg == 1 ) {
</search for>

<replace>
    if ($gender_on_reg) {
</replace>
